Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations
POSTHardware SDN Controller OperationsSince 5.4.0SynchronousAuth Required

CreateHuaweiIMasterVRouter

CreateHuaweiIMasterVRouter

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • huaweiVpcUuidStringRequired

      No description provided.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryHuaweiIMasterVRouterInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • logicalNetworkIdStringRequired

      No description provided.

    • tenantIdStringRequired

      租户ID。

    • fabricUuidStringRequired

      No description provided.

    • deletedBooleanRequired

      已删除。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

POST/zstack/v1/sdn-controller/huawei-imaster/vrouters

/zstack/v1/sdn-controller/huawei-imaster/vrouters

Operation ID

CreateHuaweiIMasterVRouter

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/sdn-controller/huawei-imaster/vrouters' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","huaweiVpcUuid":"<huaweiVpcUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "5a7236affa1f34d7908972b14956b18b", "name": "test-vrouter", "description": "Test VRouter for Huawei iMaster", "logicalNetworkId": "605a782332663c769f1845ac76efc526", "tenantId": "3350497bb7393700b77bc28d625468d8", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history